import { marker as _ } from '@biesbjerg/ngx-translate-extract-marker';
import { NotificationType, NotificationTypes } from '@red/domain';

export const notificationsTranslations: { [key in NotificationType]: string } = {
    [NotificationTypes.ASSIGN_APPROVER]: _('notification.assign-approver'),
    [NotificationTypes.ASSIGN_REVIEWER]: _('notification.assign-reviewer'),
    [NotificationTypes.DOCUMENT_APPROVED]: _('notification.document-approved'),
    [NotificationTypes.DOSSIER_OWNER_REMOVED]: _('notification.dossier-owner-removed'),
    [NotificationTypes.DOSSIER_OWNER_DELETED]: _('notification.dossier-owner-deleted'),
    [NotificationTypes.DOSSIER_OWNER_SET]: _('notification.dossier-owner-set'),
    [NotificationTypes.UNASSIGNED_FROM_FILE]: _('notification.unassigned-from-file'),
    [NotificationTypes.USER_BECOMES_DOSSIER_MEMBER]: _('notification.user-becomes-dossier-member'),
    [NotificationTypes.DOSSIER_DELETED]: _('notification.dossier-deleted'),
    [NotificationTypes.USER_DEGRADED_TO_REVIEWER]: _('notification.user-demoted-to-reviewer'),
    [NotificationTypes.USER_PROMOTED_TO_APPROVER]: _('notification.user-promoted-to-approver'),
    [NotificationTypes.USER_REMOVED_AS_DOSSIER_MEMBER]: _('notification.user-removed-as-dossier-member'),
    [NotificationTypes.DOWNLOAD_READY]: _('notification.download-ready'),
} as const;
